Index: t3lib/class.t3lib_stdgraphic.php
===================================================================
--- t3lib/class.t3lib_stdgraphic.php	(revision 9431)
+++ t3lib/class.t3lib_stdgraphic.php	(revision )
@@ -2629,10 +2554,12 @@
 						'filename' => $output,
 						'orig_filename' => $orig
 					);
-					$GLOBALS['TYPO3_DB']->exec_DELETEquery('cache_typo3temp_log', 'md5hash='.$GLOBALS['TYPO3_DB']->fullQuoteStr($md5Hash, 'cache_typo3temp_log'));
+					$GLOBALS['TYPO3_DB']->exec_DELETEquery('cache_typo3temp_log', 'md5hash=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($md5Hash, 'cache_typo3temp_log'));
 					$GLOBALS['TYPO3_DB']->exec_INSERTquery('cache_typo3temp_log', $insertFields);
 
-					if (is_object($GLOBALS['TT']))	$GLOBALS['TT']->setTSlogMessage('typo3temp_log: The row did not exist, so a new is written and file is being processed: '.$output);
+					if (is_object($GLOBALS['TT'])) {
+						$GLOBALS['TT']->setTSlogMessage('typo3temp_log: The row did not exist, so a new is written and file is being processed: ' . $output);
+					}
 					return 0;
 				}
 			}
@@ -2642,22 +2569,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/***********************************
 	 *
 	 * ImageMagick API functions
@@ -2671,27 +2582,29 @@
 	 * @param	string		The relative (to PATH_site) image filepath
 	 * @return	array
 	 */
-	function imageMagickIdentify($imagefile)	{
+	function imageMagickIdentify($imagefile) {
-		if (!$this->NO_IMAGE_MAGICK)	{
+		if (!$this->NO_IMAGE_MAGICK) {
-			$frame = $this->noFramePrepended?'':'[0]';
+			$frame = $this->noFramePrepended ? '' : '[0]';
-			$cmd = t3lib_div::imageMagickCommand('identify', $this->wrapFileName($imagefile).$frame);
+			$cmd = t3lib_div::imageMagickCommand('identify', $this->wrapFileName($imagefile) . $frame);
 			$returnVal = array();
 			exec($cmd, $returnVal);
-			$splitstring=$returnVal[0];
+			$splitstring = $returnVal[0];
-			$this->IM_commands[] = Array ('identify',$cmd,$returnVal[0]);
+			$this->IM_commands[] = array('identify', $cmd, $returnVal[0]);
-			if ($splitstring)	{
+			if ($splitstring) {
-				preg_match('/([^\.]*)$/',$imagefile,$reg);
+				preg_match('/([^\.]*)$/', $imagefile, $reg);
 				$splitinfo = explode(' ', $splitstring);
 				foreach ($splitinfo as $key => $val) {
 					$temp = '';
-					if ($val) {$temp = explode('x', $val);}
+					if ($val) {
+						$temp = explode('x', $val);
+					}
-					if (intval($temp[0]) && intval($temp[1]))	{
+					if (intval($temp[0]) && intval($temp[1])) {
-						$dim=$temp;
+						$dim = $temp;
 						break;
 					}
 				}
-				if ($dim[0] && $dim[1])	{
+				if ($dim[0] && $dim[1]) {
-					return Array($dim[0], $dim[1], strtolower($reg[0]), $imagefile);
+					return array($dim[0], $dim[1], strtolower($reg[0]), $imagefile);
 				}
 			}
 		}
@@ -2720,10 +2633,10 @@
 			}
 
 			$cmd = t3lib_div::imageMagickCommand('convert', $params . ' ' . $this->wrapFileName($input) . $frame . ' ' . $this->wrapFileName($output));
-			$this->IM_commands[] = array($output,$cmd);
+			$this->IM_commands[] = array($output, $cmd);
 
 			$ret = exec($cmd);
-			t3lib_div::fixPermissions($output);	// Change the permissions of the file
+			t3lib_div::fixPermissions($output); // Change the permissions of the file
 
 			return $ret;
 		}
@@ -2740,23 +2653,23 @@
 	 * @param	[type]		$handleNegation: ...
 	 * @return	void
 	 */
-	function combineExec($input,$overlay,$mask,$output, $handleNegation = false)	{
+	function combineExec($input, $overlay, $mask, $output, $handleNegation = FALSE) {
-		if (!$this->NO_IMAGE_MAGICK)	{
+		if (!$this->NO_IMAGE_MAGICK) {
 			$params = '-colorspace GRAY +matte';
-			if ($handleNegation)	{
+			if ($handleNegation) {
-				if ($this->maskNegate)	{
+				if ($this->maskNegate) {
-					$params .= ' '.$this->maskNegate;
+					$params .= ' ' . $this->maskNegate;
 				}
 			}
-			$theMask = $this->randomName().'.'.$this->gifExtension;
+			$theMask = $this->randomName() . '.' . $this->gifExtension;
 			$this->imageMagickExec($mask, $theMask, $params);
-			$cmd = t3lib_div::imageMagickCommand('combine', '-compose over +matte '.$this->wrapFileName($input).' '.$this->wrapFileName($overlay).' '.$this->wrapFileName($theMask).' '.$this->wrapFileName($output));		// +matte = no alpha layer in output
+			$cmd = t3lib_div::imageMagickCommand('combine', '-compose over +matte ' . $this->wrapFileName($input) . ' ' . $this->wrapFileName($overlay) . ' ' . $this->wrapFileName($theMask) . ' ' . $this->wrapFileName($output)); // +matte = no alpha layer in output
-			$this->IM_commands[] = Array ($output,$cmd);
+			$this->IM_commands[] = array($output, $cmd);
 
 			$ret = exec($cmd);
-			t3lib_div::fixPermissions($output);	// Change the permissions of the file
+			t3lib_div::fixPermissions($output); // Change the permissions of the file
 
-			if (is_file($theMask))	{
+			if (is_file($theMask)) {
 				@unlink($theMask);
 			}
 
@@ -2776,27 +2689,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/***********************************
 	 *
 	 * Various IO functions
@@ -2809,8 +2701,8 @@
 	 * @param	string		Input file to check
 	 * @return	string		Returns the filename if the file existed, otherwise empty.
 	 */
-	function checkFile($file)	{
+	function checkFile($file) {
-		if (@is_file($file))	{
+		if (@is_file($file)) {
 			return $file;
 		} else {
 			return '';
@@ -2823,18 +2715,18 @@
 	 * @param	string		Name of sub directory
 	 * @return	boolean		Result of t3lib_div::mkdir(), true if it went well.
 	 */
-	function createTempSubDir($dirName)	{
+	function createTempSubDir($dirName) {
 
 			// Checking if the this->tempPath is already prefixed with PATH_site and if not, prefix it with that constant.
-		if (t3lib_div::isFirstPartOfStr($this->tempPath,PATH_site))	{
+		if (t3lib_div::isFirstPartOfStr($this->tempPath, PATH_site)) {
 			$tmpPath = $this->tempPath;
 		} else {
-			$tmpPath = PATH_site.$this->tempPath;
+			$tmpPath = PATH_site . $this->tempPath;
 		}
 
 			// Making the temporary filename:
-		if (!@is_dir($tmpPath.$dirName))	 {
+		if (!@is_dir($tmpPath . $dirName)) {
-			return t3lib_div::mkdir($tmpPath.$dirName);
+			return t3lib_div::mkdir($tmpPath . $dirName);
 		}
 	}
 
@@ -2845,19 +2737,19 @@
 	 * @param	string		The ImageMagick parameters. Like effects, scaling etc.
 	 * @return	void
 	 */
-	function applyImageMagickToPHPGif(&$im, $command)	{
+	function applyImageMagickToPHPGif(&$im, $command) {
 		$tmpStr = $this->randomName();
-		$theFile = $tmpStr.'.'.$this->gifExtension;
+		$theFile = $tmpStr . '.' . $this->gifExtension;
 		$this->ImageWrite($im, $theFile);
-		$this->imageMagickExec($theFile,$theFile,$command);
+		$this->imageMagickExec($theFile, $theFile, $command);
 		$tmpImg = $this->imageCreateFromFile($theFile);
-		if ($tmpImg)	{
+		if ($tmpImg) {
 			ImageDestroy($im);
 			$im = $tmpImg;
 			$this->w = imagesx($im);
 			$this->h = imagesy($im);
 		}
-		if (!$this->dontUnlinkTempFiles)	{
+		if (!$this->dontUnlinkTempFiles) {
 			unlink($theFile);
 		}
 	}
@@ -2871,8 +2763,8 @@
 	 * @param	integer		The height of the output image.
 	 * @return	string		The filename, either "jpg" or "gif"/"png" (whatever $this->gifExtension is set to.)
 	 */
-	function gif_or_jpg($type,$w,$h)	{
+	function gif_or_jpg($type, $w, $h) {
-		if ($type=='ai' || $w*$h < $this->pixelLimitGif)	{
+		if ($type == 'ai' || $w * $h < $this->pixelLimitGif) {
 			return $this->gifExtension;
 		} else {
 			return 'jpg';
@@ -2888,36 +2780,38 @@
 	 * @return	string		Returns input filename
 	 * @see tslib_gifBuilder::gifBuild()
 	 */
-	function output($file)	{
+	function output($file) {
-		if ($file)	{
+		if ($file) {
 			$reg = array();
-			preg_match('/([^\.]*)$/',$file,$reg);
+			preg_match('/([^\.]*)$/', $file, $reg);
-			$ext=strtolower($reg[0]);
+			$ext = strtolower($reg[0]);
-			switch($ext)	{
+			switch ($ext) {
 				case 'gif':
 				case 'png':
-					if ($this->ImageWrite($this->im, $file))	{
+					if ($this->ImageWrite($this->im, $file)) {
 							// ImageMagick operations
 						if ($this->setup['reduceColors'] || !$this->png_truecolor) {
 							$reduced = $this->IMreduceColors($file, t3lib_div::intInRange($this->setup['reduceColors'], 256, $this->truecolorColors, 256));
-							if ($reduced)	{
+							if ($reduced) {
 								@copy($reduced, $file);
 								@unlink($reduced);
 							}
 						}
-						t3lib_div::gif_compress($file, 'IM');		// Compress with IM! (adds extra compression, LZW from ImageMagick)     (Workaround for the absence of lzw-compression in GD)
+						t3lib_div::gif_compress($file, 'IM'); // Compress with IM! (adds extra compression, LZW from ImageMagick)     (Workaround for the absence of lzw-compression in GD)
 					}
 				break;
 				case 'jpg':
 				case 'jpeg':
-					$quality = 0;	// Use the default
+					$quality = 0; // Use the default
-					if($this->setup['quality'])	{
+					if ($this->setup['quality']) {
-						$quality = t3lib_div::intInRange($this->setup['quality'],10,100);
+						$quality = t3lib_div::intInRange($this->setup['quality'], 10, 100);
 					}
-					if ($this->ImageWrite($this->im, $file, $quality));
+					if ($this->ImageWrite($this->im, $file, $quality)) {
+						;
+					}
 				break;
 			}
-			$GLOBALS['TEMP_IMAGES_ON_PAGE'][]=$file;
+			$GLOBALS['TEMP_IMAGES_ON_PAGE'][] = $file;
 		}
 		return $file;
 	}
@@ -2928,7 +2822,7 @@
 	 * @return	void
 	 * @see tslib_gifBuilder::gifBuild()
 	 */
-	function destroy()	{
+	function destroy() {
 		ImageDestroy($this->im);
 	}
 
@@ -2938,8 +2832,8 @@
 	 * @param	array		Image information array, key 0/1 is width/height and key 3 is the src value
 	 * @return	string		Image tag for the input image information array.
 	 */
-	function imgTag ($imgInfo) {
+	function imgTag($imgInfo) {
-		return '<img src="'.$imgInfo[3].'" width="'.$imgInfo[0].'" height="'.$imgInfo[1].'" border="0" alt="" />';
+		return '<img src="' . $imgInfo[3] . '" width="' . $imgInfo[0] . '" height="' . $imgInfo[1] . '" border="0" alt="" />';
 	}
 
 	/**
@@ -2951,15 +2845,15 @@
 	 * @return	boolean		The output of either imageGif, imagePng or imageJpeg based on the filename to write
 	 * @see maskImageOntoImage(), scale(), output()
 	 */
-	function ImageWrite($destImg, $theImage, $quality=0)	{
+	function ImageWrite($destImg, $theImage, $quality = 0) {
-		imageinterlace ($destImg,0);
+		imageinterlace($destImg, 0);
-		$ext = strtolower(substr($theImage, strrpos($theImage, '.')+1));
+		$ext = strtolower(substr($theImage, strrpos($theImage, '.') + 1));
 		$result = FALSE;
-		switch ($ext)	{
+		switch ($ext) {
 			case 'jpg':
 			case 'jpeg':
-				if (function_exists('imageJpeg'))	{
+				if (function_exists('imageJpeg')) {
-					if ($quality == 0)	{
+					if ($quality == 0) {
 						$quality = $this->jpegQuality;
 					}
 					$result = imageJpeg($destImg, $theImage, $quality);
@@ -2967,12 +2861,12 @@
 			break;
 			case 'gif':
 				if (function_exists('imageGif')) {
-					imagetruecolortopalette($destImg, true, 256);
+					imagetruecolortopalette($destImg, TRUE, 256);
 					$result = imageGif($destImg, $theImage);
 				}
 			break;
 			case 'png':
-				if (function_exists('imagePng'))	{
+				if (function_exists('imagePng')) {
 					$result = ImagePng($destImg, $theImage);
 				}
 			break;
@@ -2984,7 +2878,6 @@
 	}
 
 
-
 	/**
 	 * Writes the input GDlib image pointer to file. Now just a wrapper to ImageWrite.
 	 *
@@ -2994,7 +2887,7 @@
 	 * @see imageWrite()
 	 * @deprecated since TYPO3 4.0, this function will be removed in TYPO3 4.6.
 	 */
-	function imageGif($destImg, $theImage)	{
+	function imageGif($destImg, $theImage) {
 		t3lib_div::logDeprecatedFunction();
 
 		return $this->imageWrite($destImg, $theImage);
@@ -3008,7 +2901,7 @@
 	 * @return	pointer		Image Resource pointer
 	 * @deprecated since TYPO3 4.0, this function will be removed in TYPO3 4.6.
 	 */
-	function imageCreateFromGif($sourceImg)	{
+	function imageCreateFromGif($sourceImg) {
 		t3lib_div::logDeprecatedFunction();
 
 		return $this->imageCreateFromFile($sourceImg);
@@ -3021,33 +2914,33 @@
 	 * @param	string		Image filename
 	 * @return	pointer		Image Resource pointer
 	 */
-	function imageCreateFromFile($sourceImg)	{
+	function imageCreateFromFile($sourceImg) {
 		$imgInf = pathinfo($sourceImg);
 		$ext = strtolower($imgInf['extension']);
 
-		switch ($ext)	{
+		switch ($ext) {
 			case 'gif':
-				if (function_exists('imagecreatefromgif'))	{
+				if (function_exists('imagecreatefromgif')) {
 					return imageCreateFromGif($sourceImg);
 				}
 			break;
 			case 'png':
-				if (function_exists('imagecreatefrompng'))	{
+				if (function_exists('imagecreatefrompng')) {
 					return imageCreateFromPng($sourceImg);
 				}
 			break;
 			case 'jpg':
 			case 'jpeg':
-				if (function_exists('imagecreatefromjpeg'))	{
+				if (function_exists('imagecreatefromjpeg')) {
 					return imageCreateFromJpeg($sourceImg);
 				}
 			break;
 		}
 
-		// If non of the above:
+			// If non of the above:
 		$i = @getimagesize($sourceImg);
 		$im = imagecreatetruecolor($i[0], $i[1]);
-		$Bcolor = ImageColorAllocate($im, 128,128,128);
+		$Bcolor = ImageColorAllocate($im, 128, 128, 128);
 		ImageFilledRectangle($im, 0, 0, $i[0], $i[1], $Bcolor);
 		return $im;
 	}
@@ -3076,14 +2969,20 @@
 	 * @param	array		RGB color array
 	 * @return	string		HEX color value
 	 */
-	function hexColor($col)	{
+	function hexColor($col) {
 		$r = dechex($col[0]);
-		if (strlen($r)<2)	{ $r = '0'.$r; }
+		if (strlen($r) < 2) {
+			$r = '0' . $r;
+		}
 		$g = dechex($col[1]);
-		if (strlen($g)<2)	{ $g = '0'.$g; }
+		if (strlen($g) < 2) {
+			$g = '0' . $g;
+		}
 		$b = dechex($col[2]);
-		if (strlen($b)<2)	{ $b = '0'.$b; }
+		if (strlen($b) < 2) {
+			$b = '0' . $b;
+		}
-		return '#'.$r.$g.$b;
+		return '#' . $r . $g . $b;
 	}
 
 	/**
@@ -3094,44 +2993,44 @@
 	 * @param	[type]		$closest: ...
 	 * @return	integer		The index of the unified color
 	 */
-	function unifyColors(&$img, $colArr, $closest = false)	{
+	function unifyColors(&$img, $colArr, $closest = FALSE) {
 		$retCol = -1;
-		if (is_array($colArr) && count($colArr) && function_exists('imagepng') && function_exists('imagecreatefrompng'))	{
+		if (is_array($colArr) && count($colArr) && function_exists('imagepng') && function_exists('imagecreatefrompng')) {
 			$firstCol = array_shift($colArr);
 			$firstColArr = $this->convertColor($firstCol);
-			if (count($colArr)>1)	{
+			if (count($colArr) > 1) {
-				$origName = $preName = $this->randomName().'.png';
+				$origName = $preName = $this->randomName() . '.png';
-				$postName = $this->randomName().'.png';
+				$postName = $this->randomName() . '.png';
 				$this->imageWrite($img, $preName);
 				$firstCol = $this->hexColor($firstColArr);
-				foreach ($colArr as $transparentColor)	{
+				foreach ($colArr as $transparentColor) {
 					$transparentColor = $this->convertColor($transparentColor);
 					$transparentColor = $this->hexColor($transparentColor);
-					$cmd = '-fill "'.$firstCol.'" -opaque "'.$transparentColor.'"';
+					$cmd = '-fill "' . $firstCol . '" -opaque "' . $transparentColor . '"';
 					$this->imageMagickExec($preName, $postName, $cmd);
 					$preName = $postName;
 				}
 				$this->imageMagickExec($postName, $origName, '');
-				if (@is_file($origName))	{
+				if (@is_file($origName)) {
 					$tmpImg = $this->imageCreateFromFile($origName);
 				}
-			} else	{
+			} else {
 				$tmpImg = $img;
 			}
-			if ($tmpImg)	{
+			if ($tmpImg) {
 				$img = $tmpImg;
-				if ($closest)	{
+				if ($closest) {
-					$retCol = ImageColorClosest ($img, $firstColArr[0], $firstColArr[1], $firstColArr[2]);
+					$retCol = ImageColorClosest($img, $firstColArr[0], $firstColArr[1], $firstColArr[2]);
-				} else	{
+				} else {
-					$retCol = ImageColorExact ($img, $firstColArr[0], $firstColArr[1], $firstColArr[2]);
+					$retCol = ImageColorExact($img, $firstColArr[0], $firstColArr[1], $firstColArr[2]);
 				}
 			}
 				// unlink files from process
-			if (!$this->dontUnlinkTempFiles)	{
+			if (!$this->dontUnlinkTempFiles) {
-				if ($origName)	{
+				if ($origName) {
 					@unlink($origName);
 				}
-				if ($postName)	{
+				if ($postName) {
 					@unlink($postName);
 				}
 			}
@@ -3142,7 +3041,7 @@
 
 }
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_stdgraphic.php'])	{
+if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_stdgraphic.php']) {
 	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_stdgraphic.php']);
 }
 
